"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.projectConfigFiles = exports.defaultOutputDir = exports.defaultConditionalFileExt = exports.resolveMainFields = exports.globalObject = exports.templateSingleTagNames = exports.templateProcessor = exports.templateDirectives = exports.supportGlobalComponents = exports.sjsTagName = exports.sjsSrcAttrName = exports.sjsModuleAttrName = exports.isSupportSjsContent = exports.getRuntimeFiles = exports.fileType = exports.compileScriptTarget = exports.compileModuleKind = exports.targetDescription = exports.target = void 0;
const plugin_compiler_alipay_1 = require("@morjs/plugin-compiler-alipay");
exports.target = 'dingding';
exports.targetDescription = '钉钉小程序';
var plugin_compiler_alipay_2 = require("@morjs/plugin-compiler-alipay");
Object.defineProperty(exports, "compileModuleKind", { enumerable: true, get: function () { return plugin_compiler_alipay_2.compileModuleKind; } });
Object.defineProperty(exports, "compileScriptTarget", { enumerable: true, get: function () { return plugin_compiler_alipay_2.compileScriptTarget; } });
Object.defineProperty(exports, "fileType", { enumerable: true, get: function () { return plugin_compiler_alipay_2.fileType; } });
Object.defineProperty(exports, "getRuntimeFiles", { enumerable: true, get: function () { return plugin_compiler_alipay_2.getRuntimeFiles; } });
Object.defineProperty(exports, "isSupportSjsContent", { enumerable: true, get: function () { return plugin_compiler_alipay_2.isSupportSjsContent; } });
Object.defineProperty(exports, "sjsModuleAttrName", { enumerable: true, get: function () { return plugin_compiler_alipay_2.sjsModuleAttrName; } });
Object.defineProperty(exports, "sjsSrcAttrName", { enumerable: true, get: function () { return plugin_compiler_alipay_2.sjsSrcAttrName; } });
Object.defineProperty(exports, "sjsTagName", { enumerable: true, get: function () { return plugin_compiler_alipay_2.sjsTagName; } });
Object.defineProperty(exports, "supportGlobalComponents", { enumerable: true, get: function () { return plugin_compiler_alipay_2.supportGlobalComponents; } });
Object.defineProperty(exports, "templateDirectives", { enumerable: true, get: function () { return plugin_compiler_alipay_2.templateDirectives; } });
Object.defineProperty(exports, "templateProcessor", { enumerable: true, get: function () { return plugin_compiler_alipay_2.templateProcessor; } });
Object.defineProperty(exports, "templateSingleTagNames", { enumerable: true, get: function () { return plugin_compiler_alipay_2.templateSingleTagNames; } });
exports.globalObject = 'dd';
exports.resolveMainFields = ['dingding', 'main'];
exports.defaultConditionalFileExt = '.dd';
exports.defaultOutputDir = 'dist/dingding';
exports.projectConfigFiles = ['project.dd.json', 'mini.project.json'];
// 将当前 target 添加为 支付宝类似小程序
// 以复用 支付宝相关的转换逻辑
(0, plugin_compiler_alipay_1.addSimilarTarget)(exports.target);
//# sourceMappingURL=index.js.map